<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		 xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>

	<parent>
		<groupId>com.xunhong</groupId>
		<artifactId>erp-turbo-common</artifactId>
		<version>1.0.0-SNAPSHOT</version>
	</parent>

	<artifactId>erp-turbo-sa-token</artifactId>
	<version>1.0.0-SNAPSHOT</version>

	<properties>
		<maven.compiler.source>21</maven.compiler.source>
		<maven.compiler.target>21</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<dependencies>
		<dependency>
			<groupId>com.xunhong</groupId>
			<artifactId>erp-turbo-base</artifactId>
		</dependency>

		<!-- Sa-Token 权限认证 -->
		<dependency>
			<groupId>cn.dev33</groupId>
			<artifactId>sa-token-spring-boot3-starter</artifactId>
			<version>1.39.0</version>
		</dependency>

		<!-- Sa-Token 插件：整合SSO -->
		<dependency>
			<groupId>cn.dev33</groupId>
			<artifactId>sa-token-sso</artifactId>
			<version>1.39.0</version>
		</dependency>

		<dependency>
			<groupId>cn.dev33</groupId>
			<artifactId>sa-token-redis-jackson</artifactId>
			<version>1.39.0</version>
		</dependency>

		<dependency>
			<groupId>org.apache.commons</groupId>
			<artifactId>commons-pool2</artifactId>
		</dependency>

		<dependency>
			<groupId>cn.dev33</groupId>
			<artifactId>sa-token-jwt</artifactId>
			<version>1.39.0</version>
			<exclusions>
				<exclusion>
					<groupId>cn.hutool</groupId>
					<artifactId>hutool-jwt</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>cn.dev33</groupId>
			<artifactId>sa-token-alone-redis</artifactId>
			<version>1.39.0</version>
		</dependency>

		<!-- Sa-Token 整合 Dubbo -->
		<dependency>
			<groupId>cn.dev33</groupId>
			<artifactId>sa-token-dubbo</artifactId>
			<version>1.39.0</version>
		</dependency>
	</dependencies>

</project>
